import "vue";
import { o as s } from "./start-BYfL32Oe.mjs";
import "vue-i18n";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
import { B as r } from "./base-Cy9pA4ID.mjs";
const e = `${r}TaxClasses.`, x = {
  /** getList */
  async getList(t) {
    return s.post(`${e}getList`, t);
  },
  /** get */
  async get(t) {
    return s.post(`${e}get`, {
      taxClass: { id: t }
    });
  },
  /** create */
  async create(t) {
    return s.post(`${e}create`, { taxClass: t });
  },
  /** save */
  async save(t) {
    return s.post(`${e}save`, { taxClass: t });
  },
  /** delete */
  async delete(t) {
    return s.post(`${e}delete`, {
      taxClass: { id: t }
    });
  }
};
export {
  x as t
};
